# ApplicationInstance

List all the application instance endpoints

## GET /v3/applicationInstance

> Get all your application instances and their main details

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstance","description":"List all the application instance endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstance":{"type":"object","required":["id","deploymentEnvironmentId","deploymentEnvironmentName","fleetId","fleetName","hostId","isVirtual","applicationId","applicationName","applicationType","applicationBuildId","applicationBuildName","dcLocationId","dcLocationName","regionId","regionName","status","createdAt","startedAt","stoppedAt","pid","pidChangedAt","startupParams","executable","manuallyDeployed","properties","ipAddress","labelReadOnly","numPlayersMax","numPlayers","liveHostName","liveMap","liveGameVersion","updatedAt","liveRules","autoRestart","markedForDeletion","arcusAvailable"],"properties":{"id":{"type":"string","format":"","description":"Application instance ID","readOnly":true},"deploymentEnvironmentId":{"type":"string","format":"","description":"The deployment environment ID of this application instance","readOnly":true},"deploymentEnvironmentName":{"type":"string","format":"","description":"The deployment environment name of this application instance","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID of this application instance","readOnly":true},"fleetName":{"type":"string","format":"","description":"The fleet name of this application instance","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"The application instance is host on this server.","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this instance runs on a bare metal server, 1 if it runs on a VM","readOnly":true},"applicationId":{"type":"string","format":"","description":"The application ID of this application instance","readOnly":true},"applicationName":{"type":"string","format":"","description":"The application name of this application instance","readOnly":true},"applicationType":{"type":"integer","format":"integer","description":"The type of the application, the different types can be found in:\n[GET /v3/application/type](game-publisher#/Application/getApplicationTypes)","readOnly":true},"applicationBuildId":{"type":"string","format":"","description":"The application build ID of this application instance","readOnly":true},"applicationBuildName":{"type":"string","format":"","description":"The application build name of this application instance","readOnly":true},"installId":{"type":"string","format":"","description":"ID of the application install","nullable":true,"deprecated":true},"dcLocationId":{"type":"integer","format":"integer","description":"The datacenter ID of where this application instance is located","readOnly":true},"dcLocationName":{"type":"string","format":"","description":"The datacenter name of where this application instance is located","readOnly":true},"regionId":{"type":"string","format":"","description":"The deployment region ID of where this application instance is located","readOnly":true},"regionName":{"type":"string","format":"","description":"The deployment region name of where this application instance is located","readOnly":true},"status":{"type":"integer","format":"integer","description":"The application instance status, list of application instance status can be found in\n[GET /v3/applicationInstance/status](game-publisher#/ApplicationInstance/getApplicationInstanceStatuses)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is created","readOnly":true},"startedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is started","readOnly":true},"stoppedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is stopped","readOnly":true},"pid":{"type":"integer","format":"integer","description":"The process ID of the application instance running on the host","readOnly":true},"pidChangedAt":{"type":"integer","format":"integer","description":"The Unix timestamp of the moment the process ID has been changed on the host","readOnly":true},"startupParams":{"type":"string","format":"","description":"The exact startup parameters that were used to start this application instance with all properties resolved to their\nrespective values. Will be `null` if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be\ncleared again","nullable":true,"readOnly":true},"executable":{"type":"string","format":"","description":"The name of the executable that was ran when the application instance started. Will be `null` if the instance has not been\nstarted, but will retain its previous value if it was stopped. Once set it will never be cleared again","nullable":true,"readOnly":true},"manuallyDeployed":{"type":"integer","format":"integer","description":"If set to `1`, the application instance was manually deployed, instead of automatically deployed through the system","readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceProperty"},"description":"Properties of application instance","readOnly":true},"ipAddress":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceIP"},"description":"List of IP addresses for an application instance","readOnly":true},"labelReadOnly":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Pre-defined key/value pairs that can be used for application selection / identification.\nAvailable labelReadOnly keys are:\n* application_id\n* fleet_id\n* host_id\n* dc_location_id\n* region_id\n* application_build_id","readOnly":true},"labelPublic":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application instance selection / identification"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Metadata"},"description":"Custom key/value pairs to be set or adjusted by the allocation call or the application instance itself. This metadata\nwill be passed to the application instance when starting it [needs more clarification]"},"numPlayersMax":{"type":"integer","format":"integer","description":"The maximum number of players on the application instance (this only apply to application instances of the type game)","readOnly":true},"numPlayers":{"type":"integer","format":"integer","description":"The number of online players on the application instance (this only apply to application instances of the type game)","readOnly":true},"liveHostName":{"type":"string","format":"","description":"The live host name of the application instance (this only apply to application instances of the type game)","readOnly":true},"liveMap":{"type":"string","format":"","description":"The live map of an application instance (this only apply to application instances of the type game)","readOnly":true},"liveGameVersion":{"type":"string","format":"","description":"The live game version of an application instance (this only apply to application instances of the type game)","readOnly":true},"updatedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)","readOnly":true},"liveRules":{"type":"string","format":"","description":"The live rules of an application instance (this only apply to application instances of the type game)","readOnly":true},"autoRestart":{"type":"integer","format":"integer","description":"If auto restart is `1` then the application instance will auto restart, when `0` the application instance auto restart will be disabled","readOnly":true},"markedForDeletion":{"type":"integer","format":"integer","description":"If an application will be deleted it will be `1`, `0` otherwise","readOnly":true},"arcusAvailable":{"type":"integer","format":"integer","description":"`1` if Arcus is available & running for this application instance, `0` otherwise.\nNote: If your application's `managementProtocol` is NOT set to Arcus, this value will always be `0`, even if your\ngame server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to `1`,\nwhen the `managementProtocol` is set to Arcus.","readOnly":true}},"additionalProperties":false},"ApplicationInstanceProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application instance property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application instance property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application instance property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character"},"propertyValue":{"type":"string","format":"","description":"The application instance property value"}},"additionalProperties":false},"ApplicationInstanceIP":{"type":"object","required":["ipAddress","ipVersion","private"],"properties":{"ipAddress":{"type":"string","format":"","description":"Application instance IP address"},"ipVersion":{"type":"integer","format":"integer","description":"Application instance IP version","readOnly":true},"private":{"type":"integer","format":"integer","description":"If application instance has private ip address.","readOnly":true}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"Metadata":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Metadata key. Max length 50 characters"},"value":{"type":"string","format":"","description":"Metadata value. Max length 2048 bytes"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstance":{"get":{"tags":["ApplicationInstance"],"summary":"Get all your application instances and their main details","operationId":"getApplicationInstances","parameters":[{"name":"labels","in":"query","description":"Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language.<br />\nE.g. `region_id=123` or multiple filters: `region_id=123 and fleet_id=456 or host_id=46256` The provided filter query needs to be url encoded. E.g.<br />\n`region_id%3D123` or multiple filters: `region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256` The total would look like:<br />\n`/applicationInstance?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256`<br />\nIf you want to filter on a non-numeric label such as `region_name`, you have to wrap the value in double quotes: `region_name=\"Rotterdam\"`<br />\nWarning: the `labels` query parameter is ignored when passing a `PAGE-TOKEN` and the original `labels` string will be used for that request<br />\ninstead. More information on the use of labels can be found in the<br />\n<a href=\"https://www.i3d.net/docs/one/odp/Platform-Elements/Application/Label/#pre-defined-labels\">label documentation</a>.","schema":{"type":"string"}},{"name":"filters","in":"query","description":"Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like<br />\nthis E.G. `regionId=123` or multiple filters: `regionId=123 and fleetId=456`, only the `AND` statement is supported at this time. You can also<br />\nsearch inside nested objects like `metadata.key=\"testing\"` and `metadata.value=\"test\"` You can only search on exact matches.<br />\nWarning: the `filters` query parameter is ignored when passing a `PAGE-TOKEN` and the original `filters` string will be used for that request<br />\ninstead.<br />\nWarning: filtering on the following parameters is currently not supported and will give an error:<br />\n`autoRestart`, `liveGameVersion`, `liveHostName`, `liveMap`, `liveRules`, `manuallyDeployed`, `markedForDeletion`, `numPlayers`, `numPlayersMax`,<br />\n`pid`, `pidChangedAt`, `startedAt`, `status`, `stoppedAt`, `updatedAt`","schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort your results in the order that you like E.G. `sort=fleetId ASC, applicationId DESC` Be aware that all filters<br />\nand sorting should be url encoded.<br />\nWarning: the `sort` query parameter is ignored when passing a `PAGE-TOKEN` and the original `sort` string will be used for that request instead<br />\nWarning: sorting on the following parameters is currently not supported and will give an error:<br />\n`autoRestart`, `liveGameVersion`, `liveHostName`, `liveMap`, `liveRules`, `manuallyDeployed`, `markedForDeletion`, `numPlayers`, `numPlayersMax`,<br />\n`pid`, `pidChangedAt`, `startedAt`, `status`, `stoppedAt`, `updatedAt`","schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA: <span style=\"text-decoration: line-through\">start=0,</span>results=25<br />\nWarning: the `start` variable of the `RANGED-DATA` object has been deprecated for this endpoint. It is not possible to supply a start, see<br />\n`PAGE-TOKEN` header for a replacement","schema":{"type":"string"}},{"name":"PAGE-TOKEN","in":"header","description":"This token will be provided by this endpoint to allow for pagination functionality. By performing a request to this endpoint<br />\nwithout the `PAGE-TOKEN` you will retrieve the first page of search results. If a `PAGE-TOKEN` is returned, a next page may be requested by<br />\nsupplying that token in the next request using the same `PAGE-TOKEN` key and value in the request header. If no `PAGE-TOKEN` is returned, the last<br />\npage has been reached and no further data can be requested. A returned `PAGE-TOKEN` is valid until the date specified in the `Expires` response<br />\nheader. Example: `PAGE-TOKEN: eyJjb25kaXRpb25zIjp7InVzZXJJZCI6NjY2ODI1fSwibGFiZWxz(...)` (truncated for readability)<br />\nExpires header example: `Expires: Fri, 08 Jan 2021 09:10:29 GMT`","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstance"}}}}},"400":{"description":"1. `PAGE-TOKEN` did not have an expected structure and is invalid. Please try again by sending a request without a `PAGE-TOKEN` and restarting.\n2. An invalid filter or sort column is provided"},"403":{"description":"Invalid credentials"},"410":{"description":"`PAGE-TOKEN` is expired. Acquire a new `PAGE-TOKEN` by sending a request without a `PAGE-TOKEN` and try again"},"422":{"description":"Labels error"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationInstance/summary

> Get all your application instances and their main details

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstance","description":"List all the application instance endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceSummary":{"type":"object","required":["id","deploymentEnvironmentId","deploymentEnvironmentName","fleetId","fleetName","hostId","isVirtual","applicationId","applicationName","applicationType","applicationBuildId","applicationBuildName","dcLocationId","dcLocationName","regionId","regionName","status","createdAt","startedAt","stoppedAt","pid","pidChangedAt","manuallyDeployed","autoRestart","markedForDeletion","arcusAvailable"],"properties":{"id":{"type":"string","format":"","description":"Application instance ID","readOnly":true},"deploymentEnvironmentId":{"type":"string","format":"","description":"The deployment environment ID of this application instance","readOnly":true},"deploymentEnvironmentName":{"type":"string","format":"","description":"The deployment environment name of this application instance","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID of this application instance","readOnly":true},"fleetName":{"type":"string","format":"","description":"The fleet name of this application instance","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"The application instance is host on this server.","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this instance runs on a bare metal server, 1 if it runs on a VM","readOnly":true},"applicationId":{"type":"string","format":"","description":"The application ID of this application instance","readOnly":true},"applicationName":{"type":"string","format":"","description":"The application name of this application instance","readOnly":true},"applicationType":{"type":"integer","format":"integer","description":"The type of the application, the different types can be found in:  GET /application/type","readOnly":true},"applicationBuildId":{"type":"string","format":"","description":"The application build ID of this application instance","readOnly":true},"applicationBuildName":{"type":"string","format":"","description":"The application build name of this application instance","readOnly":true},"installId":{"type":"string","format":"","description":"ID of the application install","nullable":true,"deprecated":true},"dcLocationId":{"type":"integer","format":"integer","description":"The datacenter ID of where this application instance is located","readOnly":true},"dcLocationName":{"type":"string","format":"","description":"The datacenter name of where this application instance is located","readOnly":true},"regionId":{"type":"string","format":"","description":"The deployment region ID of where this application instance is located","readOnly":true},"regionName":{"type":"string","format":"","description":"The deployment region name of where this application instance is located","readOnly":true},"status":{"type":"integer","format":"integer","description":"The application instance status, list of application instance status can be found in [`GET /v3/applicationInstance/status`](game-publisher#/ApplicationInstance/get_v3_applicationInstance_status)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is created","readOnly":true},"startedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is started","readOnly":true},"stoppedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is stopped","readOnly":true},"pid":{"type":"integer","format":"integer","description":"The process ID of the application instance running on the host","readOnly":true},"pidChangedAt":{"type":"integer","format":"integer","description":"The Unix timestamp of the moment the process ID has been changed on the host","readOnly":true},"manuallyDeployed":{"type":"integer","format":"integer","description":"If set to 1, the application instance was manually deployed.","readOnly":true},"autoRestart":{"type":"integer","format":"integer","description":"If auto restart is 1 than the application instance will auto restart, when 0 the application instance auto restart will be disabled","readOnly":true},"markedForDeletion":{"type":"integer","format":"integer","description":"if an application will be deleted it will be 1 else 0","readOnly":true},"arcusAvailable":{"type":"integer","format":"integer","description":"`1` if Arcus is available & running for this application instance, `0` otherwise.\nNote: If your application's `managementProtocol` is NOT set to Arcus, this value will always be `0`, even if your\ngame server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to `1`,\nwhen the `managementProtocol` is set to Arcus.","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstance/summary":{"get":{"tags":["ApplicationInstance"],"summary":"Get all your application instances and their main details","operationId":"getApplicationInstanceSummaries","parameters":[{"name":"labels","in":"query","description":"Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language.<br />\nE.g. `region_id=123` or multiple filters: `region_id=123 and fleet_id=456 or host_id=46256` The provided filter query needs to be url encoded. E.g.<br />\n`region_id%3D123` or multiple filters: `region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256` The total would look like:<br />\n`/applicationInstance/summary?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256`<br />\nIf you want to filter on a non-numeric label such as `region_name`, you have to wrap the value in double quotes: `region_name=\"Rotterdam\"`<br />\nWarning: the `labels` query parameter is ignored when passing a `PAGE-TOKEN` and the original `labels` string will be used for that request<br />\ninstead. More information on the use of labels can be found in the<br />\n<a href=\"https://www.i3d.net/docs/one/odp/Platform-Elements/Application/Label/#pre-defined-labels\">label documentation</a>.","schema":{"type":"string"}},{"name":"filters","in":"query","description":"Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like<br />\nthis E.G. `regionId=123` or multiple filters: `regionId=123 and fleetId=456`, only the `AND` statement is supported at this time. You can also<br />\nsearch inside nested objects like `metadata.key=\"testing\"` and `metadata.value=\"test\"` You can only search on exact matches.<br />\nWarning: the `filters` query parameter is ignored when passing a `PAGE-TOKEN` and the original `filters` string will be used for that request<br />\ninstead.<br />\nWarning: filtering on the following parameters is currently not supported and will give an error:<br />\n`autoRestart`, `liveGameVersion`, `liveHostName`, `liveMap`, `liveRules`, `manuallyDeployed`, `markedForDeletion`, `numPlayers`, `numPlayersMax`,<br />\n`pid`, `pidChangedAt`, `startedAt`, `status`, `stoppedAt`, `updatedAt`","schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort your results in the order that you like E.G. `sort=fleetId ASC, applicationId DESC` Be aware that all filters<br />\nand sorting should be url encoded.<br />\nWarning: the `sort` query parameter is ignored when passing a `PAGE-TOKEN` and the original `sort` string will be used for that request instead<br />\nWarning: sorting on the following parameters is currently not supported and will give an error:<br />\n`autoRestart`, `liveGameVersion`, `liveHostName`, `liveMap`, `liveRules`, `manuallyDeployed`, `markedForDeletion`, `numPlayers`, `numPlayersMax`,<br />\n`pid`, `pidChangedAt`, `startedAt`, `status`, `stoppedAt`, `updatedAt`","schema":{"type":"string"}},{"name":"fields","in":"query","description":"Fields return in response, only fields available in model can be filter out","schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA: <span style=\"text-decoration: line-through\">start=0,</span>results=25<br />\nWarning: the `start` variable of the `RANGED-DATA` object has been deprecated for this endpoint. It is not possible to supply a start, see<br />\n`PAGE-TOKEN` header for a replacement","schema":{"type":"string"}},{"name":"PAGE-TOKEN","in":"header","description":"This token will be provided by this endpoint to allow for pagination functionality. By performing a request to this endpoint<br />\nwithout the `PAGE-TOKEN` you will retrieve the first page of search results. If a `PAGE-TOKEN` is returned, a next page may be requested by<br />\nsupplying that token in the next request using the same `PAGE-TOKEN` key and value in the request header. If no `PAGE-TOKEN` is returned, the last<br />\npage has been reached and no further data can be requested. A returned `PAGE-TOKEN` is valid until the date specified in the `Expires` response<br />\nheader. Example: `PAGE-TOKEN: eyJjb25kaXRpb25zIjp7InVzZXJJZCI6NjY2ODI1fSwibGFiZWxz(...)` (truncated for readability)<br />\nExpires header example: `Expires: Fri, 08 Jan 2021 09:10:29 GMT`","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceSummary"}}}}},"400":{"description":"1. `PAGE-TOKEN` did not have an expected structure and is invalid. Please try again by sending a request without a `PAGE-TOKEN` and restarting.\n2. An invalid filter or sort column is provided"},"403":{"description":"Invalid credentials"},"410":{"description":"`PAGE-TOKEN` is expired. Acquire a new `PAGE-TOKEN` by sending a request without a `PAGE-TOKEN` and try again"},"422":{"description":"Labels error"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationInstance/status

> Get all statuses of application instances

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstance","description":"List all the application instance endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceStatus":{"type":"object","required":["statusId","statusDescription","description","isDependency"],"properties":{"statusId":{"type":"integer","format":"integer","description":"Status code of an application instance","readOnly":true},"statusDescription":{"type":"string","format":"","description":"Application instance status name","readOnly":true},"description":{"type":"string","format":"","description":"Application instance status description","readOnly":true},"isDependency":{"type":"integer","format":"integer","description":"If isDependency=1, status code represent for application instance dependency installer and uninstaller, in case of isDependency=0 status code represents application instance game and utility type","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstance/status":{"get":{"tags":["ApplicationInstance"],"summary":"Get all statuses of application instances","operationId":"getApplicationInstanceStatuses","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceStatus"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Get all your application instances on given host (bare metal or VM).

> Note: bare metal servers and VMs are exposed in the same manner, as "dedicated servers". hostId can be found in the /host endpoint.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstance","description":"List all the application instance endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstance":{"type":"object","required":["id","deploymentEnvironmentId","deploymentEnvironmentName","fleetId","fleetName","hostId","isVirtual","applicationId","applicationName","applicationType","applicationBuildId","applicationBuildName","dcLocationId","dcLocationName","regionId","regionName","status","createdAt","startedAt","stoppedAt","pid","pidChangedAt","startupParams","executable","manuallyDeployed","properties","ipAddress","labelReadOnly","numPlayersMax","numPlayers","liveHostName","liveMap","liveGameVersion","updatedAt","liveRules","autoRestart","markedForDeletion","arcusAvailable"],"properties":{"id":{"type":"string","format":"","description":"Application instance ID","readOnly":true},"deploymentEnvironmentId":{"type":"string","format":"","description":"The deployment environment ID of this application instance","readOnly":true},"deploymentEnvironmentName":{"type":"string","format":"","description":"The deployment environment name of this application instance","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID of this application instance","readOnly":true},"fleetName":{"type":"string","format":"","description":"The fleet name of this application instance","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"The application instance is host on this server.","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this instance runs on a bare metal server, 1 if it runs on a VM","readOnly":true},"applicationId":{"type":"string","format":"","description":"The application ID of this application instance","readOnly":true},"applicationName":{"type":"string","format":"","description":"The application name of this application instance","readOnly":true},"applicationType":{"type":"integer","format":"integer","description":"The type of the application, the different types can be found in:\n[GET /v3/application/type](game-publisher#/Application/getApplicationTypes)","readOnly":true},"applicationBuildId":{"type":"string","format":"","description":"The application build ID of this application instance","readOnly":true},"applicationBuildName":{"type":"string","format":"","description":"The application build name of this application instance","readOnly":true},"installId":{"type":"string","format":"","description":"ID of the application install","nullable":true,"deprecated":true},"dcLocationId":{"type":"integer","format":"integer","description":"The datacenter ID of where this application instance is located","readOnly":true},"dcLocationName":{"type":"string","format":"","description":"The datacenter name of where this application instance is located","readOnly":true},"regionId":{"type":"string","format":"","description":"The deployment region ID of where this application instance is located","readOnly":true},"regionName":{"type":"string","format":"","description":"The deployment region name of where this application instance is located","readOnly":true},"status":{"type":"integer","format":"integer","description":"The application instance status, list of application instance status can be found in\n[GET /v3/applicationInstance/status](game-publisher#/ApplicationInstance/getApplicationInstanceStatuses)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is created","readOnly":true},"startedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is started","readOnly":true},"stoppedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is stopped","readOnly":true},"pid":{"type":"integer","format":"integer","description":"The process ID of the application instance running on the host","readOnly":true},"pidChangedAt":{"type":"integer","format":"integer","description":"The Unix timestamp of the moment the process ID has been changed on the host","readOnly":true},"startupParams":{"type":"string","format":"","description":"The exact startup parameters that were used to start this application instance with all properties resolved to their\nrespective values. Will be `null` if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be\ncleared again","nullable":true,"readOnly":true},"executable":{"type":"string","format":"","description":"The name of the executable that was ran when the application instance started. Will be `null` if the instance has not been\nstarted, but will retain its previous value if it was stopped. Once set it will never be cleared again","nullable":true,"readOnly":true},"manuallyDeployed":{"type":"integer","format":"integer","description":"If set to `1`, the application instance was manually deployed, instead of automatically deployed through the system","readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceProperty"},"description":"Properties of application instance","readOnly":true},"ipAddress":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceIP"},"description":"List of IP addresses for an application instance","readOnly":true},"labelReadOnly":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Pre-defined key/value pairs that can be used for application selection / identification.\nAvailable labelReadOnly keys are:\n* application_id\n* fleet_id\n* host_id\n* dc_location_id\n* region_id\n* application_build_id","readOnly":true},"labelPublic":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application instance selection / identification"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Metadata"},"description":"Custom key/value pairs to be set or adjusted by the allocation call or the application instance itself. This metadata\nwill be passed to the application instance when starting it [needs more clarification]"},"numPlayersMax":{"type":"integer","format":"integer","description":"The maximum number of players on the application instance (this only apply to application instances of the type game)","readOnly":true},"numPlayers":{"type":"integer","format":"integer","description":"The number of online players on the application instance (this only apply to application instances of the type game)","readOnly":true},"liveHostName":{"type":"string","format":"","description":"The live host name of the application instance (this only apply to application instances of the type game)","readOnly":true},"liveMap":{"type":"string","format":"","description":"The live map of an application instance (this only apply to application instances of the type game)","readOnly":true},"liveGameVersion":{"type":"string","format":"","description":"The live game version of an application instance (this only apply to application instances of the type game)","readOnly":true},"updatedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)","readOnly":true},"liveRules":{"type":"string","format":"","description":"The live rules of an application instance (this only apply to application instances of the type game)","readOnly":true},"autoRestart":{"type":"integer","format":"integer","description":"If auto restart is `1` then the application instance will auto restart, when `0` the application instance auto restart will be disabled","readOnly":true},"markedForDeletion":{"type":"integer","format":"integer","description":"If an application will be deleted it will be `1`, `0` otherwise","readOnly":true},"arcusAvailable":{"type":"integer","format":"integer","description":"`1` if Arcus is available & running for this application instance, `0` otherwise.\nNote: If your application's `managementProtocol` is NOT set to Arcus, this value will always be `0`, even if your\ngame server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to `1`,\nwhen the `managementProtocol` is set to Arcus.","readOnly":true}},"additionalProperties":false},"ApplicationInstanceProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application instance property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application instance property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application instance property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character"},"propertyValue":{"type":"string","format":"","description":"The application instance property value"}},"additionalProperties":false},"ApplicationInstanceIP":{"type":"object","required":["ipAddress","ipVersion","private"],"properties":{"ipAddress":{"type":"string","format":"","description":"Application instance IP address"},"ipVersion":{"type":"integer","format":"integer","description":"Application instance IP version","readOnly":true},"private":{"type":"integer","format":"integer","description":"If application instance has private ip address.","readOnly":true}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"Metadata":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Metadata key. Max length 50 characters"},"value":{"type":"string","format":"","description":"Metadata value. Max length 2048 bytes"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstance/host/{hostId}":{"get":{"tags":["ApplicationInstance"],"summary":"Get all your application instances on given host (bare metal or VM).","description":"Note: bare metal servers and VMs are exposed in the same manner, as \"dedicated servers\". hostId can be found in the /host endpoint.","operationId":"getApplicationInstanceHost","parameters":[{"name":"hostId","in":"path","description":"The ID of the host","required":true,"schema":{"type":"integer"}},{"name":"labels","in":"query","description":"Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language.<br />\nE.g. `region_id=123` or multiple filters: `region_id=123 and fleet_id=456 or host_id=46256` The provided filter query needs to be url encoded.<br />\nE.g. `region_id%3D123` or multiple filters: `region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256` The total would look like:<br />\n`/applicationInstance/host/{hostId}?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256`<br />\nIf you want to filter on a non-numeric label such as `region_name`, you have to wrap the value in double quotes: `region_name=\"Rotterdam\"`<br />\nWarning: the `labels` query parameter is ignored when passing a `PAGE-TOKEN` and the original `labels` string will be used for that request<br />\ninstead. More information on the use of labels can be found in the<br />\n<a href=\"https://www.i3d.net/docs/one/odp/Platform-Elements/Application/Label/#pre-defined-labels\">label documentation</a>.","schema":{"type":"string"}},{"name":"filters","in":"query","description":"Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like<br />\nthis E.G. `regionId=123` or multiple filters: `regionId=123 and fleetId=456`, only the `AND` statement is supported at this time. You can also<br />\nsearch inside nested objects like `metadata.key=\"testing\"` and `metadata.value=\"test\"` You can only search on exact matches.<br />\nWarning: the `filters` query parameter is ignored when passing a `PAGE-TOKEN` and the original `filters` string will be used for that request<br />\ninstead.<br />\nWarning: filtering on the following parameters is currently not supported and will give an error:<br />\n`autoRestart`, `liveGameVersion`, `liveHostName`, `liveMap`, `liveRules`, `manuallyDeployed`, `markedForDeletion`, `numPlayers`,<br />\n`numPlayersMax`, `pid`, `pidChangedAt`, `startedAt`, `status`, `stoppedAt`, `updatedAt`","schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort your results in the order that you like E.G. `sort=fleetId ASC, applicationId DESC` Be aware that all<br />\nfilters and sorting should be url encoded.<br />\nWarning: the `sort` query parameter is ignored when passing a `PAGE-TOKEN` and the original `sort` string will be used for that request instead<br />\nWarning: sorting on the following parameters is currently not supported and will give an error:<br />\n`autoRestart`, `liveGameVersion`, `liveHostName`, `liveMap`, `liveRules`, `manuallyDeployed`, `markedForDeletion`, `numPlayers`,<br />\n`numPlayersMax`, `pid`, `pidChangedAt`, `startedAt`, `status`, `stoppedAt`, `updatedAt`","schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA: <span style=\"text-decoration: line-through\">start=0,</span>results=25<br />\nWarning: the `start` variable of the `RANGED-DATA` object has been deprecated for this endpoint. It is not possible to supply a start, see<br />\n`PAGE-TOKEN` header for a replacement","schema":{"type":"string"}},{"name":"PAGE-TOKEN","in":"header","description":"This token will be provided by this endpoint to allow for pagination functionality. By performing a request to this endpoint<br />\nwithout the `PAGE-TOKEN` you will retrieve the first page of search results. If a `PAGE-TOKEN` is returned, a next page may be requested by<br />\nsupplying that token in the next request using the same `PAGE-TOKEN` key and value in the request header. If no `PAGE-TOKEN` is returned, the<br />\nlast page has been reached and no further data can be requested. A returned `PAGE-TOKEN` is valid until the date specified in the `Expires`<br />\nresponse header. Example: `PAGE-TOKEN: eyJjb25kaXRpb25zIjp7InVzZXJJZCI6NjY2ODI1fSwibGFiZWxz(...)` (truncated for readability) Expires header<br />\nexample: `Expires: Fri, 08 Jan 2021 09:10:29 GMT`","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstance"}}}}},"400":{"description":"1. `PAGE-TOKEN` did not have an expected structure and is invalid. Please try again by sending a request without a `PAGE-TOKEN` and\nrestarting.\n2. An invalid filter or sort column is provided"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid hostId"},"410":{"description":"`PAGE-TOKEN` is expired. Acquire a new `PAGE-TOKEN` by sending a request without a `PAGE-TOKEN` and try again"},"422":{"description":"Labels error"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Create a new application instance entity on given host (bare metal or VM) and for given fleetId

> Creates a new application instance entity in our database, on the provided host ID (can be a bare metal server or a VM). Afterwards you can\
> deploy software on it. hostId equals hostID, found in the /host endpoint.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstance","description":"List all the application instance endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstance":{"type":"object","required":["id","deploymentEnvironmentId","deploymentEnvironmentName","fleetId","fleetName","hostId","isVirtual","applicationId","applicationName","applicationType","applicationBuildId","applicationBuildName","dcLocationId","dcLocationName","regionId","regionName","status","createdAt","startedAt","stoppedAt","pid","pidChangedAt","startupParams","executable","manuallyDeployed","properties","ipAddress","labelReadOnly","numPlayersMax","numPlayers","liveHostName","liveMap","liveGameVersion","updatedAt","liveRules","autoRestart","markedForDeletion","arcusAvailable"],"properties":{"id":{"type":"string","format":"","description":"Application instance ID","readOnly":true},"deploymentEnvironmentId":{"type":"string","format":"","description":"The deployment environment ID of this application instance","readOnly":true},"deploymentEnvironmentName":{"type":"string","format":"","description":"The deployment environment name of this application instance","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID of this application instance","readOnly":true},"fleetName":{"type":"string","format":"","description":"The fleet name of this application instance","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"The application instance is host on this server.","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this instance runs on a bare metal server, 1 if it runs on a VM","readOnly":true},"applicationId":{"type":"string","format":"","description":"The application ID of this application instance","readOnly":true},"applicationName":{"type":"string","format":"","description":"The application name of this application instance","readOnly":true},"applicationType":{"type":"integer","format":"integer","description":"The type of the application, the different types can be found in:\n[GET /v3/application/type](game-publisher#/Application/getApplicationTypes)","readOnly":true},"applicationBuildId":{"type":"string","format":"","description":"The application build ID of this application instance","readOnly":true},"applicationBuildName":{"type":"string","format":"","description":"The application build name of this application instance","readOnly":true},"installId":{"type":"string","format":"","description":"ID of the application install","nullable":true,"deprecated":true},"dcLocationId":{"type":"integer","format":"integer","description":"The datacenter ID of where this application instance is located","readOnly":true},"dcLocationName":{"type":"string","format":"","description":"The datacenter name of where this application instance is located","readOnly":true},"regionId":{"type":"string","format":"","description":"The deployment region ID of where this application instance is located","readOnly":true},"regionName":{"type":"string","format":"","description":"The deployment region name of where this application instance is located","readOnly":true},"status":{"type":"integer","format":"integer","description":"The application instance status, list of application instance status can be found in\n[GET /v3/applicationInstance/status](game-publisher#/ApplicationInstance/getApplicationInstanceStatuses)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is created","readOnly":true},"startedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is started","readOnly":true},"stoppedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is stopped","readOnly":true},"pid":{"type":"integer","format":"integer","description":"The process ID of the application instance running on the host","readOnly":true},"pidChangedAt":{"type":"integer","format":"integer","description":"The Unix timestamp of the moment the process ID has been changed on the host","readOnly":true},"startupParams":{"type":"string","format":"","description":"The exact startup parameters that were used to start this application instance with all properties resolved to their\nrespective values. Will be `null` if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be\ncleared again","nullable":true,"readOnly":true},"executable":{"type":"string","format":"","description":"The name of the executable that was ran when the application instance started. Will be `null` if the instance has not been\nstarted, but will retain its previous value if it was stopped. Once set it will never be cleared again","nullable":true,"readOnly":true},"manuallyDeployed":{"type":"integer","format":"integer","description":"If set to `1`, the application instance was manually deployed, instead of automatically deployed through the system","readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceProperty"},"description":"Properties of application instance","readOnly":true},"ipAddress":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceIP"},"description":"List of IP addresses for an application instance","readOnly":true},"labelReadOnly":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Pre-defined key/value pairs that can be used for application selection / identification.\nAvailable labelReadOnly keys are:\n* application_id\n* fleet_id\n* host_id\n* dc_location_id\n* region_id\n* application_build_id","readOnly":true},"labelPublic":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application instance selection / identification"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Metadata"},"description":"Custom key/value pairs to be set or adjusted by the allocation call or the application instance itself. This metadata\nwill be passed to the application instance when starting it [needs more clarification]"},"numPlayersMax":{"type":"integer","format":"integer","description":"The maximum number of players on the application instance (this only apply to application instances of the type game)","readOnly":true},"numPlayers":{"type":"integer","format":"integer","description":"The number of online players on the application instance (this only apply to application instances of the type game)","readOnly":true},"liveHostName":{"type":"string","format":"","description":"The live host name of the application instance (this only apply to application instances of the type game)","readOnly":true},"liveMap":{"type":"string","format":"","description":"The live map of an application instance (this only apply to application instances of the type game)","readOnly":true},"liveGameVersion":{"type":"string","format":"","description":"The live game version of an application instance (this only apply to application instances of the type game)","readOnly":true},"updatedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)","readOnly":true},"liveRules":{"type":"string","format":"","description":"The live rules of an application instance (this only apply to application instances of the type game)","readOnly":true},"autoRestart":{"type":"integer","format":"integer","description":"If auto restart is `1` then the application instance will auto restart, when `0` the application instance auto restart will be disabled","readOnly":true},"markedForDeletion":{"type":"integer","format":"integer","description":"If an application will be deleted it will be `1`, `0` otherwise","readOnly":true},"arcusAvailable":{"type":"integer","format":"integer","description":"`1` if Arcus is available & running for this application instance, `0` otherwise.\nNote: If your application's `managementProtocol` is NOT set to Arcus, this value will always be `0`, even if your\ngame server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to `1`,\nwhen the `managementProtocol` is set to Arcus.","readOnly":true}},"additionalProperties":false},"ApplicationInstanceProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application instance property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application instance property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application instance property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character"},"propertyValue":{"type":"string","format":"","description":"The application instance property value"}},"additionalProperties":false},"ApplicationInstanceIP":{"type":"object","required":["ipAddress","ipVersion","private"],"properties":{"ipAddress":{"type":"string","format":"","description":"Application instance IP address"},"ipVersion":{"type":"integer","format":"integer","description":"Application instance IP version","readOnly":true},"private":{"type":"integer","format":"integer","description":"If application instance has private ip address.","readOnly":true}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"Metadata":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Metadata key. Max length 50 characters"},"value":{"type":"string","format":"","description":"Metadata value. Max length 2048 bytes"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstance/fleet/{fleetId}/host/{hostId}":{"post":{"tags":["ApplicationInstance"],"summary":"Create a new application instance entity on given host (bare metal or VM) and for given fleetId","description":"Creates a new application instance entity in our database, on the provided host ID (can be a bare metal server or a VM). Afterwards you can\ndeploy software on it. hostId equals hostID, found in the /host endpoint.","operationId":"createApplicationInstanceFleetHost","parameters":[{"name":"fleetId","in":"path","description":"The ID of the fleet","required":true,"schema":{"type":"string"}},{"name":"hostId","in":"path","description":"The ID of the host","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationInstance"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstance"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid hostId or fleetId"},"409":{"description":"Host assigned to a different fleet or host has no hostagent installed"},"422":{"description":"Invalid properties (e.g. similar ports as another application instance, or the fleet is missing deployment profile)"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationInstance/{applicationInstanceId}

> Get a single application instance

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstance","description":"List all the application instance endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstance":{"type":"object","required":["id","deploymentEnvironmentId","deploymentEnvironmentName","fleetId","fleetName","hostId","isVirtual","applicationId","applicationName","applicationType","applicationBuildId","applicationBuildName","dcLocationId","dcLocationName","regionId","regionName","status","createdAt","startedAt","stoppedAt","pid","pidChangedAt","startupParams","executable","manuallyDeployed","properties","ipAddress","labelReadOnly","numPlayersMax","numPlayers","liveHostName","liveMap","liveGameVersion","updatedAt","liveRules","autoRestart","markedForDeletion","arcusAvailable"],"properties":{"id":{"type":"string","format":"","description":"Application instance ID","readOnly":true},"deploymentEnvironmentId":{"type":"string","format":"","description":"The deployment environment ID of this application instance","readOnly":true},"deploymentEnvironmentName":{"type":"string","format":"","description":"The deployment environment name of this application instance","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID of this application instance","readOnly":true},"fleetName":{"type":"string","format":"","description":"The fleet name of this application instance","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"The application instance is host on this server.","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this instance runs on a bare metal server, 1 if it runs on a VM","readOnly":true},"applicationId":{"type":"string","format":"","description":"The application ID of this application instance","readOnly":true},"applicationName":{"type":"string","format":"","description":"The application name of this application instance","readOnly":true},"applicationType":{"type":"integer","format":"integer","description":"The type of the application, the different types can be found in:\n[GET /v3/application/type](game-publisher#/Application/getApplicationTypes)","readOnly":true},"applicationBuildId":{"type":"string","format":"","description":"The application build ID of this application instance","readOnly":true},"applicationBuildName":{"type":"string","format":"","description":"The application build name of this application instance","readOnly":true},"installId":{"type":"string","format":"","description":"ID of the application install","nullable":true,"deprecated":true},"dcLocationId":{"type":"integer","format":"integer","description":"The datacenter ID of where this application instance is located","readOnly":true},"dcLocationName":{"type":"string","format":"","description":"The datacenter name of where this application instance is located","readOnly":true},"regionId":{"type":"string","format":"","description":"The deployment region ID of where this application instance is located","readOnly":true},"regionName":{"type":"string","format":"","description":"The deployment region name of where this application instance is located","readOnly":true},"status":{"type":"integer","format":"integer","description":"The application instance status, list of application instance status can be found in\n[GET /v3/applicationInstance/status](game-publisher#/ApplicationInstance/getApplicationInstanceStatuses)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is created","readOnly":true},"startedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is started","readOnly":true},"stoppedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is stopped","readOnly":true},"pid":{"type":"integer","format":"integer","description":"The process ID of the application instance running on the host","readOnly":true},"pidChangedAt":{"type":"integer","format":"integer","description":"The Unix timestamp of the moment the process ID has been changed on the host","readOnly":true},"startupParams":{"type":"string","format":"","description":"The exact startup parameters that were used to start this application instance with all properties resolved to their\nrespective values. Will be `null` if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be\ncleared again","nullable":true,"readOnly":true},"executable":{"type":"string","format":"","description":"The name of the executable that was ran when the application instance started. Will be `null` if the instance has not been\nstarted, but will retain its previous value if it was stopped. Once set it will never be cleared again","nullable":true,"readOnly":true},"manuallyDeployed":{"type":"integer","format":"integer","description":"If set to `1`, the application instance was manually deployed, instead of automatically deployed through the system","readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceProperty"},"description":"Properties of application instance","readOnly":true},"ipAddress":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceIP"},"description":"List of IP addresses for an application instance","readOnly":true},"labelReadOnly":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Pre-defined key/value pairs that can be used for application selection / identification.\nAvailable labelReadOnly keys are:\n* application_id\n* fleet_id\n* host_id\n* dc_location_id\n* region_id\n* application_build_id","readOnly":true},"labelPublic":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application instance selection / identification"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Metadata"},"description":"Custom key/value pairs to be set or adjusted by the allocation call or the application instance itself. This metadata\nwill be passed to the application instance when starting it [needs more clarification]"},"numPlayersMax":{"type":"integer","format":"integer","description":"The maximum number of players on the application instance (this only apply to application instances of the type game)","readOnly":true},"numPlayers":{"type":"integer","format":"integer","description":"The number of online players on the application instance (this only apply to application instances of the type game)","readOnly":true},"liveHostName":{"type":"string","format":"","description":"The live host name of the application instance (this only apply to application instances of the type game)","readOnly":true},"liveMap":{"type":"string","format":"","description":"The live map of an application instance (this only apply to application instances of the type game)","readOnly":true},"liveGameVersion":{"type":"string","format":"","description":"The live game version of an application instance (this only apply to application instances of the type game)","readOnly":true},"updatedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)","readOnly":true},"liveRules":{"type":"string","format":"","description":"The live rules of an application instance (this only apply to application instances of the type game)","readOnly":true},"autoRestart":{"type":"integer","format":"integer","description":"If auto restart is `1` then the application instance will auto restart, when `0` the application instance auto restart will be disabled","readOnly":true},"markedForDeletion":{"type":"integer","format":"integer","description":"If an application will be deleted it will be `1`, `0` otherwise","readOnly":true},"arcusAvailable":{"type":"integer","format":"integer","description":"`1` if Arcus is available & running for this application instance, `0` otherwise.\nNote: If your application's `managementProtocol` is NOT set to Arcus, this value will always be `0`, even if your\ngame server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to `1`,\nwhen the `managementProtocol` is set to Arcus.","readOnly":true}},"additionalProperties":false},"ApplicationInstanceProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application instance property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application instance property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application instance property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character"},"propertyValue":{"type":"string","format":"","description":"The application instance property value"}},"additionalProperties":false},"ApplicationInstanceIP":{"type":"object","required":["ipAddress","ipVersion","private"],"properties":{"ipAddress":{"type":"string","format":"","description":"Application instance IP address"},"ipVersion":{"type":"integer","format":"integer","description":"Application instance IP version","readOnly":true},"private":{"type":"integer","format":"integer","description":"If application instance has private ip address.","readOnly":true}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"Metadata":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Metadata key. Max length 50 characters"},"value":{"type":"string","format":"","description":"Metadata value. Max length 2048 bytes"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstance/{applicationInstanceId}":{"get":{"tags":["ApplicationInstance"],"summary":"Get a single application instance","operationId":"getApplicationInstance","parameters":[{"name":"applicationInstanceId","in":"path","description":"The ID of the application instance","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstance"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationInstanceId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/applicationInstance/{applicationInstanceId}

> Update given application instance

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstance","description":"List all the application instance endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstance":{"type":"object","required":["id","deploymentEnvironmentId","deploymentEnvironmentName","fleetId","fleetName","hostId","isVirtual","applicationId","applicationName","applicationType","applicationBuildId","applicationBuildName","dcLocationId","dcLocationName","regionId","regionName","status","createdAt","startedAt","stoppedAt","pid","pidChangedAt","startupParams","executable","manuallyDeployed","properties","ipAddress","labelReadOnly","numPlayersMax","numPlayers","liveHostName","liveMap","liveGameVersion","updatedAt","liveRules","autoRestart","markedForDeletion","arcusAvailable"],"properties":{"id":{"type":"string","format":"","description":"Application instance ID","readOnly":true},"deploymentEnvironmentId":{"type":"string","format":"","description":"The deployment environment ID of this application instance","readOnly":true},"deploymentEnvironmentName":{"type":"string","format":"","description":"The deployment environment name of this application instance","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID of this application instance","readOnly":true},"fleetName":{"type":"string","format":"","description":"The fleet name of this application instance","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"The application instance is host on this server.","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this instance runs on a bare metal server, 1 if it runs on a VM","readOnly":true},"applicationId":{"type":"string","format":"","description":"The application ID of this application instance","readOnly":true},"applicationName":{"type":"string","format":"","description":"The application name of this application instance","readOnly":true},"applicationType":{"type":"integer","format":"integer","description":"The type of the application, the different types can be found in:\n[GET /v3/application/type](game-publisher#/Application/getApplicationTypes)","readOnly":true},"applicationBuildId":{"type":"string","format":"","description":"The application build ID of this application instance","readOnly":true},"applicationBuildName":{"type":"string","format":"","description":"The application build name of this application instance","readOnly":true},"installId":{"type":"string","format":"","description":"ID of the application install","nullable":true,"deprecated":true},"dcLocationId":{"type":"integer","format":"integer","description":"The datacenter ID of where this application instance is located","readOnly":true},"dcLocationName":{"type":"string","format":"","description":"The datacenter name of where this application instance is located","readOnly":true},"regionId":{"type":"string","format":"","description":"The deployment region ID of where this application instance is located","readOnly":true},"regionName":{"type":"string","format":"","description":"The deployment region name of where this application instance is located","readOnly":true},"status":{"type":"integer","format":"integer","description":"The application instance status, list of application instance status can be found in\n[GET /v3/applicationInstance/status](game-publisher#/ApplicationInstance/getApplicationInstanceStatuses)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is created","readOnly":true},"startedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is started","readOnly":true},"stoppedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is stopped","readOnly":true},"pid":{"type":"integer","format":"integer","description":"The process ID of the application instance running on the host","readOnly":true},"pidChangedAt":{"type":"integer","format":"integer","description":"The Unix timestamp of the moment the process ID has been changed on the host","readOnly":true},"startupParams":{"type":"string","format":"","description":"The exact startup parameters that were used to start this application instance with all properties resolved to their\nrespective values. Will be `null` if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be\ncleared again","nullable":true,"readOnly":true},"executable":{"type":"string","format":"","description":"The name of the executable that was ran when the application instance started. Will be `null` if the instance has not been\nstarted, but will retain its previous value if it was stopped. Once set it will never be cleared again","nullable":true,"readOnly":true},"manuallyDeployed":{"type":"integer","format":"integer","description":"If set to `1`, the application instance was manually deployed, instead of automatically deployed through the system","readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceProperty"},"description":"Properties of application instance","readOnly":true},"ipAddress":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceIP"},"description":"List of IP addresses for an application instance","readOnly":true},"labelReadOnly":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Pre-defined key/value pairs that can be used for application selection / identification.\nAvailable labelReadOnly keys are:\n* application_id\n* fleet_id\n* host_id\n* dc_location_id\n* region_id\n* application_build_id","readOnly":true},"labelPublic":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application instance selection / identification"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Metadata"},"description":"Custom key/value pairs to be set or adjusted by the allocation call or the application instance itself. This metadata\nwill be passed to the application instance when starting it [needs more clarification]"},"numPlayersMax":{"type":"integer","format":"integer","description":"The maximum number of players on the application instance (this only apply to application instances of the type game)","readOnly":true},"numPlayers":{"type":"integer","format":"integer","description":"The number of online players on the application instance (this only apply to application instances of the type game)","readOnly":true},"liveHostName":{"type":"string","format":"","description":"The live host name of the application instance (this only apply to application instances of the type game)","readOnly":true},"liveMap":{"type":"string","format":"","description":"The live map of an application instance (this only apply to application instances of the type game)","readOnly":true},"liveGameVersion":{"type":"string","format":"","description":"The live game version of an application instance (this only apply to application instances of the type game)","readOnly":true},"updatedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)","readOnly":true},"liveRules":{"type":"string","format":"","description":"The live rules of an application instance (this only apply to application instances of the type game)","readOnly":true},"autoRestart":{"type":"integer","format":"integer","description":"If auto restart is `1` then the application instance will auto restart, when `0` the application instance auto restart will be disabled","readOnly":true},"markedForDeletion":{"type":"integer","format":"integer","description":"If an application will be deleted it will be `1`, `0` otherwise","readOnly":true},"arcusAvailable":{"type":"integer","format":"integer","description":"`1` if Arcus is available & running for this application instance, `0` otherwise.\nNote: If your application's `managementProtocol` is NOT set to Arcus, this value will always be `0`, even if your\ngame server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to `1`,\nwhen the `managementProtocol` is set to Arcus.","readOnly":true}},"additionalProperties":false},"ApplicationInstanceProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application instance property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application instance property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application instance property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character"},"propertyValue":{"type":"string","format":"","description":"The application instance property value"}},"additionalProperties":false},"ApplicationInstanceIP":{"type":"object","required":["ipAddress","ipVersion","private"],"properties":{"ipAddress":{"type":"string","format":"","description":"Application instance IP address"},"ipVersion":{"type":"integer","format":"integer","description":"Application instance IP version","readOnly":true},"private":{"type":"integer","format":"integer","description":"If application instance has private ip address.","readOnly":true}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"Metadata":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Metadata key. Max length 50 characters"},"value":{"type":"string","format":"","description":"Metadata value. Max length 2048 bytes"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstance/{applicationInstanceId}":{"put":{"tags":["ApplicationInstance"],"summary":"Update given application instance","operationId":"updateApplicationInstance","parameters":[{"name":"applicationInstanceId","in":"path","description":"The ID of the application instance","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationInstance"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstance"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationInstanceId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/applicationInstance/{applicationInstanceId}

> Remove an application instance

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstance","description":"List all the application instance endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceStopMethod":{"type":"object","properties":{"methodId":{"type":"integer","format":"integer","description":"Stop method type, list of types can be found in: [GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods)"},"timeout":{"type":"integer","format":"integer","description":"Stop method timeout in seconds, default value is 1800 seconds."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstance/{applicationInstanceId}":{"delete":{"tags":["ApplicationInstance"],"summary":"Remove an application instance","operationId":"deleteApplicationInstance","parameters":[{"name":"applicationInstanceId","in":"path","description":"The ID of the application instance","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationInstanceStopMethod"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationInstanceId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/applicationInstance/{applicationInstanceId}/status/{status}

> Set the online status of a single application instance. Only possible if the application instance status is at least "offline (2)"

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstance","description":"List all the application instance endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstance":{"type":"object","required":["id","deploymentEnvironmentId","deploymentEnvironmentName","fleetId","fleetName","hostId","isVirtual","applicationId","applicationName","applicationType","applicationBuildId","applicationBuildName","dcLocationId","dcLocationName","regionId","regionName","status","createdAt","startedAt","stoppedAt","pid","pidChangedAt","startupParams","executable","manuallyDeployed","properties","ipAddress","labelReadOnly","numPlayersMax","numPlayers","liveHostName","liveMap","liveGameVersion","updatedAt","liveRules","autoRestart","markedForDeletion","arcusAvailable"],"properties":{"id":{"type":"string","format":"","description":"Application instance ID","readOnly":true},"deploymentEnvironmentId":{"type":"string","format":"","description":"The deployment environment ID of this application instance","readOnly":true},"deploymentEnvironmentName":{"type":"string","format":"","description":"The deployment environment name of this application instance","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID of this application instance","readOnly":true},"fleetName":{"type":"string","format":"","description":"The fleet name of this application instance","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"The application instance is host on this server.","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this instance runs on a bare metal server, 1 if it runs on a VM","readOnly":true},"applicationId":{"type":"string","format":"","description":"The application ID of this application instance","readOnly":true},"applicationName":{"type":"string","format":"","description":"The application name of this application instance","readOnly":true},"applicationType":{"type":"integer","format":"integer","description":"The type of the application, the different types can be found in:\n[GET /v3/application/type](game-publisher#/Application/getApplicationTypes)","readOnly":true},"applicationBuildId":{"type":"string","format":"","description":"The application build ID of this application instance","readOnly":true},"applicationBuildName":{"type":"string","format":"","description":"The application build name of this application instance","readOnly":true},"installId":{"type":"string","format":"","description":"ID of the application install","nullable":true,"deprecated":true},"dcLocationId":{"type":"integer","format":"integer","description":"The datacenter ID of where this application instance is located","readOnly":true},"dcLocationName":{"type":"string","format":"","description":"The datacenter name of where this application instance is located","readOnly":true},"regionId":{"type":"string","format":"","description":"The deployment region ID of where this application instance is located","readOnly":true},"regionName":{"type":"string","format":"","description":"The deployment region name of where this application instance is located","readOnly":true},"status":{"type":"integer","format":"integer","description":"The application instance status, list of application instance status can be found in\n[GET /v3/applicationInstance/status](game-publisher#/ApplicationInstance/getApplicationInstanceStatuses)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is created","readOnly":true},"startedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is started","readOnly":true},"stoppedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is stopped","readOnly":true},"pid":{"type":"integer","format":"integer","description":"The process ID of the application instance running on the host","readOnly":true},"pidChangedAt":{"type":"integer","format":"integer","description":"The Unix timestamp of the moment the process ID has been changed on the host","readOnly":true},"startupParams":{"type":"string","format":"","description":"The exact startup parameters that were used to start this application instance with all properties resolved to their\nrespective values. Will be `null` if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be\ncleared again","nullable":true,"readOnly":true},"executable":{"type":"string","format":"","description":"The name of the executable that was ran when the application instance started. Will be `null` if the instance has not been\nstarted, but will retain its previous value if it was stopped. Once set it will never be cleared again","nullable":true,"readOnly":true},"manuallyDeployed":{"type":"integer","format":"integer","description":"If set to `1`, the application instance was manually deployed, instead of automatically deployed through the system","readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceProperty"},"description":"Properties of application instance","readOnly":true},"ipAddress":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceIP"},"description":"List of IP addresses for an application instance","readOnly":true},"labelReadOnly":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Pre-defined key/value pairs that can be used for application selection / identification.\nAvailable labelReadOnly keys are:\n* application_id\n* fleet_id\n* host_id\n* dc_location_id\n* region_id\n* application_build_id","readOnly":true},"labelPublic":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application instance selection / identification"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Metadata"},"description":"Custom key/value pairs to be set or adjusted by the allocation call or the application instance itself. This metadata\nwill be passed to the application instance when starting it [needs more clarification]"},"numPlayersMax":{"type":"integer","format":"integer","description":"The maximum number of players on the application instance (this only apply to application instances of the type game)","readOnly":true},"numPlayers":{"type":"integer","format":"integer","description":"The number of online players on the application instance (this only apply to application instances of the type game)","readOnly":true},"liveHostName":{"type":"string","format":"","description":"The live host name of the application instance (this only apply to application instances of the type game)","readOnly":true},"liveMap":{"type":"string","format":"","description":"The live map of an application instance (this only apply to application instances of the type game)","readOnly":true},"liveGameVersion":{"type":"string","format":"","description":"The live game version of an application instance (this only apply to application instances of the type game)","readOnly":true},"updatedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)","readOnly":true},"liveRules":{"type":"string","format":"","description":"The live rules of an application instance (this only apply to application instances of the type game)","readOnly":true},"autoRestart":{"type":"integer","format":"integer","description":"If auto restart is `1` then the application instance will auto restart, when `0` the application instance auto restart will be disabled","readOnly":true},"markedForDeletion":{"type":"integer","format":"integer","description":"If an application will be deleted it will be `1`, `0` otherwise","readOnly":true},"arcusAvailable":{"type":"integer","format":"integer","description":"`1` if Arcus is available & running for this application instance, `0` otherwise.\nNote: If your application's `managementProtocol` is NOT set to Arcus, this value will always be `0`, even if your\ngame server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to `1`,\nwhen the `managementProtocol` is set to Arcus.","readOnly":true}},"additionalProperties":false},"ApplicationInstanceProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application instance property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application instance property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application instance property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character"},"propertyValue":{"type":"string","format":"","description":"The application instance property value"}},"additionalProperties":false},"ApplicationInstanceIP":{"type":"object","required":["ipAddress","ipVersion","private"],"properties":{"ipAddress":{"type":"string","format":"","description":"Application instance IP address"},"ipVersion":{"type":"integer","format":"integer","description":"Application instance IP version","readOnly":true},"private":{"type":"integer","format":"integer","description":"If application instance has private ip address.","readOnly":true}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"Metadata":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Metadata key. Max length 50 characters"},"value":{"type":"string","format":"","description":"Metadata value. Max length 2048 bytes"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstance/{applicationInstanceId}/status/{status}":{"put":{"tags":["ApplicationInstance"],"summary":"Set the online status of a single application instance. Only possible if the application instance status is at least \"offline (2)\"","operationId":"updateApplicationInstanceStatus","parameters":[{"name":"applicationInstanceId","in":"path","description":"The ID of the application instance","required":true,"schema":{"type":"string"}},{"name":"status","in":"path","description":"Possible values:<br />\n- 3: starting<br />\n- 4: online<br />\n- 5: allocated (only possible if previous status is online)","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstance"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationInstanceId"},"422":{"description":"Invalid status value"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/applicationInstance/{applicationInstanceId}/start

> Start a single application instance.

```json
[...]
